Update envelope attachment
Updates an envelope attachment to a draft or in-process envelope.
It’s easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.
To learn about the different types of attachments, see Attachments in the concept guide.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Request
This endpoint expects an object: attachment
Valid values are sender and senderAndAllRecipients.
A Base64-encoded representation of the attachment that is used to upload and download the file. File attachments may be up to 50 MB in size.
A label for the attachment. Potential values include:
guidedForm: Guided forms provide a step-by-step, mobile-ready experience to help signers easily complete long or complex forms.eventNotifications: A list of envelope-level event statuses that trigger Connect to send updates to the endpoint specified in theurlproperty.
The URL of a previously staged chunked upload. Using a chunked upload enables you to stage a large, chunkable temp file. You then use the remoteUrl property to reference the chunked upload as the content in attachment and document-related requests. The remoteUrl property cannot be used for downloads.